org.bdgenomics.adam.util

# IndexedFastaFile

#### case class IndexedFastaFile(sc: SparkContext, filePath: String, stringency: ValidationStringency = ...) extends ReferenceFile with Logging with Product with Serializable

Loads and extracts sequences directly from indexed fasta or fa files. filePath requires fai index in the same directory with same naming convention.

filePath

  path to fasta or fa index

Linear Supertypes
Product, Equals, Logging, ReferenceFile, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. IndexedFastaFile
2. Product
3. Equals
4. Logging
5. ReferenceFile
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new IndexedFastaFile(sc: SparkContext, filePath: String, stringency: ValidationStringency = ...)

   filePath

     path to fasta or fa index

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def extract(region: ReferenceRegion): String

   Extracts base sequence from FastaSequenceIndex

   Extracts base sequence from FastaSequenceIndex

   region

     The desired ReferenceRegion to extract.

   returns

     The reference sequence at the desired locus.

   Definition Classes
     IndexedFastaFile → ReferenceFile

10. #### val filePath: String

    path to fasta or fa index

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

15. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

16. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### val sc: SparkContext

31. #### val sequences: SequenceDictionary

    Definition Classes
      IndexedFastaFile → ReferenceFile

32. #### val stringency: ValidationStringency

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from ReferenceFile

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped